org.springframework.remoting

## Class RemoteConnectFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.remoting.RemoteAccessException
          - - org.springframework.remoting.RemoteConnectFailureException

All Implemented Interfaces:
  Serializable

    public class RemoteConnectFailureException
    extends RemoteAccessException

RemoteAccessException subclass to be thrown when no connection could be established with a remote service.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RemoteConnectFailureException(String msg, Throwable cause)` Constructor for RemoteConnectFailureException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteConnectFailureException

    public RemoteConnectFailureException(String msg,
                                 Throwable cause)

Constructor for RemoteConnectFailureException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the remoting API in use